Đến nội dung


Hình ảnh

chèn block mong a e giúp đỡ


  • Please log in to reply
1 reply to this topic

#1 xdd

xdd

    biết vẽ arc

  • Members
  • PipPip
  • 43 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 20 September 2011 - 08:28 PM

http://www.cadviet.c...coc_moi_118.dwg
mình muốn thay đổi block như trong hình vẽ bạn nào giúp mình với
  • -1

#2 lp_hai

lp_hai

    biết lệnh measure

  • Members
  • PipPipPipPipPipPip
  • 456 Bài viết
Điểm đánh giá: 202 (khá)

Đã gửi 21 September 2011 - 10:00 AM

có 2 cách:
1-Bạn thay đổi kích thước "gốc" của block là dùng lệnh REFEDIT sửa kích thước của block thành 600x600
2-chọn tất cả các block 350x350 rồi chỉnh giá trị Scale X, Sc Y, Sc Z trong bảng Properties (nhấn Ctrl+1), block hiện tại là 350x350 vì vậy bạn nhập vào SCale X,Y,Z là 600/350
P/s để chọn tất cả các dt giống nhau bạn có thể dùng lisp sau:
 
(defun c:sw(/ aaa ls na lay a2 dt dt1 sdt sdt1 ent ent1 id id1)
(setq AAA(SSGET))
(setq sdt (sslength AAA))
(setq id 0)
(setq dt (ssadd))
(repeat sdt
(setq ent (ssname AAA id)
id (1+ id)
)
(setq ls (entget ent))
(setq na (cdr(assoc 0 ls))
lay (cdr(assoc 8 ls))
)
(if (= na "INSERT")
(setq a2 (cdr(assoc 2 ls))
dt1(ssget"all"(list(cons 0 na) (cons 8 lay) (cons 2 a2)))
)
(setq dt1(ssget"all"(list(cons 0 na) (cons 8 lay))))
)
(setq sdt1 (sslength dt1))
(setq id1 0)
(repeat sdt1
(setq ent1 (ssname dt1 id1))
(setq id1 (1+ id1))
(setq dt (ssadd ent1 dt))
)
)
(sssetfirst dt dt)
(princ)
)

  • 0
Hình đã gửi